Bug 1055374 - (CVE-2013-7299) CVE-2013-7299 tntnet: information leak via crafted HTTP request
CVE-2013-7299 tntnet: information leak via crafted HTTP request
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131211,repor...
: Security
Depends On: 1055376
Blocks:
  Show dependency treegraph
 
Reported: 2014-01-20 01:26 EST by Ratul Gupta
Modified: 2016-03-01 04:43 EST (History)
2 users (show)

See Also:
Fixed In Version: tntnet 2.2.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-24 12:52:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ratul Gupta 2014-01-20 01:26:58 EST
Tntnet, a web application server for web applications, was found to be affected by a vulnerability, where by sending a crafted HTTP request that uses "\n" to end its headers instead of the expected "\r\n", it is possible that headers from a previous unrelated request will seemingly be appended to the crafted request (due to a missing null termination). This allows a remote attacker to use sensitive headers from other users' requests in their own requests, such as cookies or HTTP authentication credentials.

The issue is said to be fixed in tntnet 2.2.1.

References:
http://seclists.org/oss-sec/2014/q1/112
http://www.tntnet.org/download/tntnet-2.2.1/Releasenotes-2.2.1.html

Commit:
https://github.com/maekitalo/tntnet/commit/9bd3b14042e12d84f39ea9f55731705ba516f525
https://github.com/maekitalo/tntnet/commit/9d1a859e28b78bfbf769689454b529ac7709dee4
Comment 1 Ratul Gupta 2014-01-20 01:27:52 EST
Created tntnet tracking bugs for this issue:

Affects: fedora-all [bug 1055376]
Comment 3 Fedora Update System 2014-02-04 22:37:26 EST
tntnet-2.2.1-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 MartinKG 2014-06-24 12:52:22 EDT
already fixed with current release tntnet-2.2.1-2.fc20

Note You need to log in before you can comment on or make changes to this bug.